<?php  defined('C5_EXECUTE') or die("Access Denied."); ?>

<?php  $fh = Loader::helper('form'); ?>
<?php  $interface = Loader::helper('concrete/ui'); ?>

<style>
	.ccm-widget-colorpicker {
		display: block;
	}
</style>

<form id="troop_placeholder_images_configuration" method="post" action="<?php  echo $view->action('update_config'); ?>">

	<?php  echo $controller->token->output('update_config'); ?>

	<fieldset>

		<div class="form-group">

			<div class="checkbox">
				<label>
					<input type="checkbox" name="enabled" value="1" <?php  echo $config->enabled ? 'checked' : '' ?> />
					<span><?php  echo t('Enable placeholder images.') ?></span>
					<span class="help-block"><?php  echo t('') ?></span>
				</label>
			</div>

		</div>

	</fieldset>

	<fieldset class="troop-placeholder-images-enabled">

		<legend><?php  echo t('Replacement') ?></legend>

		<div class="form-group troop-placeholder-images-enabled">

			<div class="radio">
				<label>
					<input type="radio" name="enabled_for" value="all"<?php  echo $config->enabled_for != 'missing' ? ' checked' : '' ?>>
					<span><?php  echo t('Replace all images.'); ?></span>
				</label>
			</div>
			<div class="radio">
				<label>
					<input type="radio" name="enabled_for" value="missing"<?php  echo $config->enabled_for == 'missing' ? ' checked' : '' ?>>
					<span><?php  echo t('Replace only missing images.'); ?></span>
				</label>
			</div>

		</div>

	</fieldset>

	<fieldset class="form-group troop-placeholder-images-enabled">

		<legend><?php  echo t('Styling') ?></legend>

		<div class="row">

			<div class="form-group col-xs-2">

				<div class="form-group">

					<?php  echo Loader::helper('form')->label('font', t('Font'))?>
					<?php  echo Loader::helper('form')->select('font', array('' => 'Default', 'Arvo/Arvo-Bold.ttf' => 'Avro', 'Bitter/Bitter-Bold.ttf' => 'Bitter', 'DroidSerif/DroidSerif-Bold.ttf' => 'DroidSerif', 'Lato/Lato-Black.ttf' => 'Lato', 'Lora/Lora-Bold.ttf' => 'Lora', 'OpenSans/OpenSans-Bold.ttf' => 'OpenSans'), $config->font); ?>

				</div>

				<div class="form-group">

					<?php  echo Loader::helper('form')->label('icon_color', t('Background Color'))?>
					<?php  echo Loader::helper('form/color')->output('bgColor', $config->bgColor, array('preferredFormat' => 'hex')); ?>

				</div>

				<div class="form-group">

					<?php  echo Loader::helper('form')->label('icon_color', t('Text Color'))?>
					<?php  echo Loader::helper('form/color')->output('textColor', $config->textColor, array('preferredFormat' => 'hex')); ?>

				</div>

			</div>

			<div class="form-group col-xs-10">
				<p><strong>Preview</strong></p>
				<img src="<?php  echo $config->url; ?>" />
			</div>

		</div>


	</fieldset>

	<fieldset class="troop-placeholder-images-enabled">

		<legend><?php  echo t('Conditions') ?></legend>

		<div class="form-group troop-placeholder-images-enabled">

			<div class="radio">
				<label>
					<input type="radio" name="conditions_enabled" value="0"<?php  echo $config->conditions_enabled != 1 ? ' checked' : '' ?>>
					<span><?php  echo t('No conditions.'); ?></span>
					<span class="help-block"><?php  echo t('Placeholder images are enabled for everyone.'); ?></span>
				</label>
			</div>
			<div class="radio">
				<label>
					<input type="radio" name="conditions_enabled" value="1"<?php  echo $config->conditions_enabled == 1 ? ' checked' : '' ?>>
					<span><?php  echo t('Define conditions.'); ?></span>
					<span class="help-block"><?php  echo t('If one of the following conditions is true, placeholder images will be enabled. Seperate by comma, space or new line. Wildcards are not allowed yet.'); ?></span>
				</label>
			</div>

		</div>

		<div class="form-group troop-placeholder-images-conditions-enabled">

			<div class="row">

				<div class="form-group col-xs-4">
					<?php  echo $fh->label('ips', t('IPs')); ?>
					<?php  echo $fh->textarea('ips', $config->ips); ?>
					<span class="help-block"><?php  echo t('Your IP: %s', $_SERVER['REMOTE_ADDR']); ?></span>
				</div>

				<div class="form-group col-xs-4">
					<?php  echo $fh->label('hostnames', t('Hostnames')); ?>
					<?php  echo $fh->textarea('hostnames', $config->hostnames); ?>
					<span class="help-block"><?php  echo t('Your hostname: %s', gethostname()); ?></span>
				</div>

				<div class="form-group col-xs-4">
					<?php  echo $fh->label('domains', t('Domains')); ?>
					<?php  echo $fh->textarea('domains', $config->domains); ?>
					<span class="help-block"><?php  echo t('Current domain: %s', $_SERVER['SERVER_NAME']); ?></span>
				</div>

			</div>

		</div>

	</fieldset>

	<div class="ccm-dashboard-form-actions-wrapper">
		<div class="ccm-dashboard-form-actions">
			<?php  echo $interface->submit(t('Save'), 'logging-form', 'right', 'btn-primary'); ?>
		</div>
	</div>

</form>


<script>
	(function () {

		var enabler = $('input[name="enabled"]');

		enabler.change(function () {
			if ($(this).is(':checked')) {
				$('#troop_placeholder_images_configuration .troop-placeholder-images-enabled').show();
			} else {
				$('#troop_placeholder_images_configuration .troop-placeholder-images-enabled').hide();
			}
		}).change();

		var conditions = $('input[name="conditions_enabled"]');

		conditions.change(function () {
			if ($(this).val() == '1' && $(this).is(':checked')) {
				$('#troop_placeholder_images_configuration .troop-placeholder-images-conditions-enabled').show();
			} else {
				$('#troop_placeholder_images_configuration .troop-placeholder-images-conditions-enabled').hide();
			}
		}).change();
	}());
</script>
