<?php 

namespace Troop\PlaceholderImage;

use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Core\View\View;
use Concrete\Core\Page\View\PageView;
use Troop\PlaceholderImage\PlaceholderImageServiceProvider;
use Loader;
use Config;

class DashboardController extends DashboardPageController {

	public function view($strStatus = false)
	{
		$strStatus = (string) $strStatus;

		$config = (object) array(
			'ip' => $_SERVER['REMOTE_ADDR'],
			'forwarded_ip' => $_SERVER['HTTP_X_FORWARDED_FOR'],
			'hostname' => gethostname(),
			'domain' => $_SERVER['SERVER_NAME'],

			'enabled' => Config::get('troop.placeholder_images.enabled') == 1 ? 1 : 0,
			'enabled_for' => Config::get('troop.placeholder_images.enabled_for'),
			'conditions_enabled' => Config::get('troop.placeholder_images.conditions_enabled') == 1 ? 1 : 0,
			'ips' => Config::get('troop.placeholder_images.ips'),
			'domains' => Config::get('troop.placeholder_images.domains'),
			'hostnames' => Config::get('troop.placeholder_images.hostnames'),

			'font' => Config::get('troop.placeholder_images.font'),
			'bgColor' => Config::get('troop.placeholder_images.bgColor'),
			'textColor' => Config::get('troop.placeholder_images.textColor'),

			'url' => Placeholder::url(450, 170),
		);

		$this->set('config', $config);

		if ($strStatus == 'config_saved')
		{
			$this->set('message', t('Placeholder images configuration saved.'));
		}

		$this->set('element', Config::get('troop.placeholder.base_dir').'../resources/elements/dashboard');
		$this->set('pkg', Config::get('troop.placeholder.pkg'));
	}

	/**
	 * Updates logging settings
	 *
	 * @return void
	 */
	public function update_config()
	{
		if ($this->token->validate('update_config'))
		{
			if ($this->isPost())
			{
				Config::save('troop.placeholder_images.enabled', $this->post('enabled') == 1 ? 1 : 0);
				Config::save('troop.placeholder_images.enabled_for', $this->post('enabled_for'));
				Config::save('troop.placeholder_images.conditions_enabled', $this->post('conditions_enabled') == 1 ? 1 : 0);
				Config::save('troop.placeholder_images.ips', $this->post('ips'));
				Config::save('troop.placeholder_images.domains', $this->post('domains'));
				Config::save('troop.placeholder_images.hostnames', $this->post('hostnames'));

				Config::save('troop.placeholder_images.font', $this->post('font'));
				Config::save('troop.placeholder_images.bgColor', $this->post('bgColor'));
				Config::save('troop.placeholder_images.textColor', $this->post('textColor'));

				$this->redirect('/dashboard/system/placeholder_images', 'config_saved');
			}
		}
		else
		{
			$this->set('error', array($this->token->getErrorMessage()));
		}
	}
}
