<?php 

namespace Troop\PlaceholderImage\Html;

use Troop\PlaceholderImage\Placeholder;

use Concrete\Core\Html\Image as BaseImage;
use Config;

class Image extends BaseImage
{

	/**
	 * @param \File $f
	 * @param null $usePictureTag
	 */
	public function __construct(\File $f = null, $usePictureTag = null)
	{
		if (Placeholder::shouldReplace($f))
		{
			parent::__construct($f, false);
		}
		else
		{
			parent::__construct($f, $usePictureTag);
		}
	}

	/**
	 * @return \HTMLObject\Element\Tag
	 */
	public function getTag()
	{
		if (is_object($this->tag) && Placeholder::shouldReplace($this->tag->src))
		{
			$this->tag->src(Placeholder::url($this->tag->width, $this->tag->height));
		}

		return $this->tag;
	}

}
