<?php 

namespace Troop\PlaceholderImage;

use Config;
use Loader;
use \Concrete\Core\File\File;
use \Concrete\Core\Routing\URL;

class Placeholder {

	public static function url($width, $height)
	{
		$route = Config::get('troop.placeholder_images.route');
		return URL::to($route.'/'.$width.'x'.$height);
	}

	public static function shouldReplace($obj = null)
	{
		$enabled = Config::get('troop.placeholder_images.enabled') == 1 ? 1 : 0;

		if ( ! $enabled)
		{
			return false;
		}

		$conditions_enabled = Config::get('troop.placeholder_images.conditions_enabled') == 1 ? 1 : 0;

		if ($conditions_enabled)
		{
			$ip = $_SERVER['REMOTE_ADDR'];
			$forwarded_ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
			$hostname = gethostname();
			$domain = $_SERVER['SERVER_NAME'];

			$ips       = preg_split('/[\ \n\,]+/', Config::get('troop.placeholder_images.ips'));
			$domains   = preg_split('/[\ \n\,]+/', Config::get('troop.placeholder_images.domains'));
			$hostnames = preg_split('/[\ \n\,]+/', Config::get('troop.placeholder_images.hostnames'));

			if ( ! (in_array($ip, $ips) || in_array($forwarded_ip, $ips) || in_array($hostname, $hostnames) || in_array($domain, $domains)))
			{
				return false;
			}
		}

		if (empty($obj))
		{
			return true;
		}

		if (Config::get('troop.placeholder_images.enabled_for') == 'missing')
		{
			$fh = Loader::helper('file');

			if ($obj instanceof File)
			{

				if ($obj->getFileID() > 0)
				{
					try {
						$fr = $obj->getFileResource();
						return false;
					}
					catch(\Exception $e) {
						return true;
					}
				}
			}
			else
			{
				if ( ! empty($obj) && (file_exists($obj) || file_exists(DIR_BASE.$obj)))
				{
					return false;
				}
			}
		}

		return true;
	}

}
