<?php 
/**
 * Created by PhpStorm.
 * User: xash
 * Date: 30.01.15
 * Time: 13:09
 */

namespace Troop\PlaceholderImage;

use \Troop\Foundation\Service\PackageProvider;

use Config;
use Route;
use Concrete\Core\Page\Single;

class PlaceholderImageServiceProvider extends PackageProvider {

	public function register()
	{
		$this->app->bind('html/image', '\Troop\PlaceholderImage\Html\Image');
		$this->app->singleton('helper/image', '\Troop\PlaceholderImage\Legacy\ImageHelper');

		$route = Config::get('troop.placeholder_images.route');

		Route::registerMultiple(array(
			$route."/{dimensions}" => array('\Troop\PlaceholderImage\ImageController::generate'),
			$route."/{dimensions}/{bgColor}" => array('\Troop\PlaceholderImage\ImageController::generate'),
			$route."/{dimensions}/{bgColor}/{textColor}" => array('\Troop\PlaceholderImage\ImageController::generate'),
		));

		Config::set('troop.placeholder.base_dir', $this->getRelativeBaseDir());
		Config::set('troop.placeholder.pkg', $this->pkg->getPackageHandle());
	}

	public function install()
	{
		Single::add('dashboard/system/placeholder_images', $this->pkg);

		// Set default config
		Config::save('troop.placeholder_images.enabled', 0);
		Config::save('troop.placeholder_images.enabled_for', 'missing');
		Config::save('troop.placeholder_images.conditions_enabled', 0);
		Config::save('troop.placeholder_images.ips', '');
		Config::save('troop.placeholder_images.domains', '');
		Config::save('troop.placeholder_images.hostnames', '');

		Config::save('troop.placeholder_images.font', 'OpenSans/OpenSans-Bold.ttf');
		Config::save('troop.placeholder_images.bgColor', 'dddddd');
		Config::save('troop.placeholder_images.textColor', '666666');

		Config::save('troop.placeholder_images.route', '/ccm/troop/tools/placeholder_image');
	}

}