<?php 
/**
 * Created by PhpStorm.
 * User: xash
 * Date: 03.02.15
 * Time: 16:38
 */

namespace Troop\Foundation\Service;

use \Concrete\Core\Foundation\Service\Provider;
use \Concrete\Core\Package\Package;
use \Concrete\Core\Application\Application;

abstract class PackageProvider extends Provider {

	protected $pkg;

	protected $levels = 2;

	public function getRelativeBaseDir()
	{
		$class_info = new \ReflectionClass($this);
		$dir = dirname($class_info->getFileName());

		if (strpos($dir, $this->pkg->getRelativePath()))
		{
			$dir = substr($dir, strpos($dir, $this->pkg->getRelativePath()) + strlen($this->pkg->getRelativePath()) + 1).'/'.str_pad('', $this->levels*3, '../');
		}
		else
		{
			$dir = '';
		}

		return $dir;
	}

	public function __construct(Application $app, Package $pkg = null)
	{
		parent::__construct($app);
		$this->pkg = $pkg;
	}

	abstract public function install();

	protected function assetUrl($url)
	{
		$class_info = new \ReflectionClass($this);
		$dir = dirname($class_info->getFileName());

		return substr($dir, strpos($dir, $this->pkg->getRelativePath()) + strlen($this->pkg->getRelativePath()) + 1).'/'.str_pad('', $this->levels*3, '../').'resources/assets/'.$url;
	}

}