<?php 
/**
 * Created by PhpStorm.
 * User: xash
 * Date: 03.02.15
 * Time: 16:55
 */

namespace Troop\Foundation\Service;

use Concrete\Core\Foundation\Service\ProviderList;
use Concrete\Core\Application\Application;
use Concrete\Core\Package\Package;

class PackageProviderList extends ProviderList {

	public function __construct(Application $app, Package $pkg = null)
	{
		parent::__construct($app);
		$this->pkg = $pkg;
	}

	/**
	 * Loads and registers a class ServiceProvider class.
	 * @param  string $class
	 * @return void
	 */
	public function registerProvider($class)
	{
		$cl = new $class($this->app, $this->pkg);
		$cl->register();
	}

	public function installProvider($class)
	{
		$cl = new $class($this->app, $this->pkg);
		$cl->install();
	}

	/**
	 * Registers an array of service group classes.
	 * @param  array $groups
	 * @return void
	 */
	public function installProviders($groups) {
		foreach($groups as $group) {
			$this->installProvider($group);
		}
	}

}